Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## local.tomas.docsite.store
Class DirectoryStore

    java.lang.Object
      local.tomas.docsite.store.DirectoryStore

All Implemented Interfaces:
  DocsiteSource, DocsiteTarget

    public class DirectoryStore

extends java.lang.Object
implements DocsiteTarget, DocsiteSource

Constructor Summary
`DirectoryStore(java.io.File dir)`
`DirectoryStore(java.lang.String targetName)`

Method Summary
`void` | `close()`
`java.io.PrintWriter` | `createDocument(java.lang.String name)`
`void` | `createDocumentFromStream(java.lang.String name, java.io.InputStream stream)`
`DocsiteTarget` | `createTargetFolder(java.lang.String name)`
`boolean` | `exists(java.lang.String fileName)`
`DocsiteSource` | `getSourceFolder(java.lang.String name)`
`DocsiteTarget` | `getTargetFolder(java.lang.String name)`
`boolean` | `hasFolder(java.lang.String folderName)`
`java.io.InputStream` | `openDocument(java.lang.String name)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DirectoryStore

    public DirectoryStore(java.lang.String targetName)

### DirectoryStore

    public DirectoryStore(java.io.File dir)

Method Detail

### createDocument

    public java.io.PrintWriter createDocument(java.lang.String name)
                                       throws java.lang.Exception

  Specified by:
    `createDocument` in interface `DocsiteTarget`
  Throws:
    `java.lang.Exception`

### createDocumentFromStream

    public void createDocumentFromStream(java.lang.String name,
                                         java.io.InputStream stream)
                                  throws java.lang.Exception

  Specified by:
    `createDocumentFromStream` in interface `DocsiteTarget`
  Throws:
    `java.lang.Exception`

### createTargetFolder

    public DocsiteTarget createTargetFolder(java.lang.String name)

  Specified by:
    `createTargetFolder` in interface `DocsiteTarget`

### getSourceFolder

    public DocsiteSource getSourceFolder(java.lang.String name)
                                  throws java.lang.Exception

  Specified by:
    `getSourceFolder` in interface `DocsiteSource`
  Throws:
    `java.lang.Exception`

### openDocument

    public java.io.InputStream openDocument(java.lang.String name)
                                     throws java.lang.Exception

  Specified by:
    `openDocument` in interface `DocsiteSource`
  Throws:
    `java.lang.Exception`

### getTargetFolder

    public DocsiteTarget getTargetFolder(java.lang.String name)
                                  throws java.lang.Exception

  Specified by:
    `getTargetFolder` in interface `DocsiteTarget`
  Throws:
    `java.lang.Exception`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### hasFolder

    public boolean hasFolder(java.lang.String folderName)

  Specified by:
    `hasFolder` in interface `DocsiteTarget`

### exists

    public boolean exists(java.lang.String fileName)

  Specified by:
    `exists` in interface `DocsiteTarget`

### close

    public void close()

  Specified by:
    `close` in interface `DocsiteSource`
  Specified by:
    `close` in interface `DocsiteTarget`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Tomas Teubner. All Rights Reserved.